Bug Hunting Session
Bug 50269 - bitmap area fill pattern reversed in LO3.5.x
Summary: bitmap area fill pattern reversed in LO3.5.x
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.4 RC1
Hardware: Other All
: medium normal
Assignee: Takeshi Abe
URL:
Whiteboard: target:4.0.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-05-23 01:34 UTC by hmoi
Modified: 2013-07-16 07:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
fill_pattern.ppt (52.50 KB, application/vnd.ms-powerpoint)
2012-05-23 01:34 UTC, hmoi
Details
screenshot_LO354rc1_LO346_PPT (253.61 KB, image/jpeg)
2012-05-23 01:35 UTC, hmoi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description hmoi 2012-05-23 01:34:07 UTC
Created attachment 62003 [details]
fill_pattern.ppt

[Libreoffice 3.5.4 RC1 and 3.4.6, WinXP SP3, Japanese]


Problem description: 
filling some objects with patterns in PowerPoint, imported into impress, bitmap area fill pattern in the Pattern Editor was reversed with LO3.5.x. 
The Light vertical line in PPT became too BOLD line in LO35x.


Steps to reproduce:
1. Import attached fill_pattern.ppt file with impress
2. Save in odp format.
3. Compare fill pattern between original ppt file and odp file.
   
LO3.4.6 behavior:
expected result. filling pattern in the Pattern Editor became thin line.

LO3.5.x behavior:
filling pattern in the Pattern Editor was reversed, became bold line.

Expected behavior:
filling pattern in the Pattern Editor became thin line .

Regards,
Hirono
Comment 1 hmoi 2012-05-23 01:35:04 UTC
Created attachment 62004 [details]
screenshot_LO354rc1_LO346_PPT
Comment 2 hmoi 2012-05-24 21:46:46 UTC
Any help is greatly appreciated.
Regards,
Hirono
Comment 3 Valek Filippov 2012-07-13 04:08:58 UTC
Confirmed with 3.5.3.2 and 3.6beta2
Comment 4 hmoi 2012-07-13 04:33:51 UTC
Valek Filippov, thank you for following up on this.
Comment 5 Not Assigned 2012-07-31 19:34:24 UTC
Takeshi Abe committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=134028c6160de7d2c05f0ff67d71cbdb4bff4737

fdo#50269: bitmap area fill pattern reversed in LO3.5.x
Comment 6 Aurimas Fišeras 2013-01-27 10:37:51 UTC
Already fixed in LibreOffice 4.0.0.2 (Build ID: 5991f37846fc3763493029c4958b57282c2597e)